searchNodes=[{"doc":"Use APDS9960 color, proximity and gesture sensor in Elixir.","ref":"APDS9960.html","title":"APDS9960","type":"module"},{"doc":"Reads the color data. # To get a color measurement, first enable the color engine. APDS9960 . enable_color ( sensor ) APDS9960 . color ( sensor )","ref":"APDS9960.html#color/2","title":"APDS9960.color/2","type":"function"},{"doc":"See APDS9960.Sensor.enable/2 .","ref":"APDS9960.html#enable/2","title":"APDS9960.enable/2","type":"function"},{"doc":"Reads new gesture engine results, deduces gesture and returns the direction of the gesture. # To get a gesture result, first enable both the proximity engine and gesture engine. APDS9960 . enable ( sensor , :gesture ) APDS9960 . enable ( sensor , :proximity ) APDS9960 . gesture ( sensor , timeout : 5000 )","ref":"APDS9960.html#gesture/2","title":"APDS9960.gesture/2","type":"function"},{"doc":"See APDS9960.Sensor.init/1 .","ref":"APDS9960.html#init/1","title":"APDS9960.init/1","type":"function"},{"doc":"Reads the proximity data. The proximity value is a number from 0 to 255 where the higher the number the closer an object is to the sensor. # To get a proximity result, first enable the proximity engine. APDS9960 . enable ( sensor , :proximity ) APDS9960 . proximity ( sensor )","ref":"APDS9960.html#proximity/2","title":"APDS9960.proximity/2","type":"function"},{"doc":"See APDS9960.Sensor.reset!/1 .","ref":"APDS9960.html#reset!/1","title":"APDS9960.reset!/1","type":"function"},{"doc":"See APDS9960.Sensor.set_defaults!/1 .","ref":"APDS9960.html#set_defaults!/1","title":"APDS9960.set_defaults!/1","type":"function"},{"doc":"","ref":"APDS9960.html#t:gesture_direction/0","title":"APDS9960.gesture_direction/0","type":"type"},{"doc":"The ambient light and RGB color sensing.","ref":"APDS9960.ALS.html","title":"APDS9960.ALS","type":"module"},{"doc":"","ref":"APDS9960.ALS.html#clear_interrupt/1","title":"APDS9960.ALS.clear_interrupt/1","type":"function"},{"doc":"","ref":"APDS9960.ALS.html#enable/2","title":"APDS9960.ALS.enable/2","type":"function"},{"doc":"","ref":"APDS9960.ALS.html#enable_interrupt/2","title":"APDS9960.ALS.enable_interrupt/2","type":"function"},{"doc":"","ref":"APDS9960.ALS.html#enable_saturation_interrupt/2","title":"APDS9960.ALS.enable_saturation_interrupt/2","type":"function"},{"doc":"","ref":"APDS9960.ALS.html#enable_wait/2","title":"APDS9960.ALS.enable_wait/2","type":"function"},{"doc":"","ref":"APDS9960.ALS.html#enable_wait_long/2","title":"APDS9960.ALS.enable_wait_long/2","type":"function"},{"doc":"","ref":"APDS9960.ALS.html#enabled?/1","title":"APDS9960.ALS.enabled?/1","type":"function"},{"doc":"","ref":"APDS9960.ALS.html#get_adc_integration_time/1","title":"APDS9960.ALS.get_adc_integration_time/1","type":"function"},{"doc":"","ref":"APDS9960.ALS.html#get_gain/1","title":"APDS9960.ALS.get_gain/1","type":"function"},{"doc":"","ref":"APDS9960.ALS.html#get_interrupt_persistence/1","title":"APDS9960.ALS.get_interrupt_persistence/1","type":"function"},{"doc":"","ref":"APDS9960.ALS.html#get_threshold/1","title":"APDS9960.ALS.get_threshold/1","type":"function"},{"doc":"","ref":"APDS9960.ALS.html#get_wait_time/1","title":"APDS9960.ALS.get_wait_time/1","type":"function"},{"doc":"","ref":"APDS9960.ALS.html#interrupt_enabled?/1","title":"APDS9960.ALS.interrupt_enabled?/1","type":"function"},{"doc":"","ref":"APDS9960.ALS.html#read_color/2","title":"APDS9960.ALS.read_color/2","type":"function"},{"doc":"","ref":"APDS9960.ALS.html#saturation_interrupt_enabled?/1","title":"APDS9960.ALS.saturation_interrupt_enabled?/1","type":"function"},{"doc":"","ref":"APDS9960.ALS.html#set_adc_integration_time/2","title":"APDS9960.ALS.set_adc_integration_time/2","type":"function"},{"doc":"","ref":"APDS9960.ALS.html#set_gain/2","title":"APDS9960.ALS.set_gain/2","type":"function"},{"doc":"","ref":"APDS9960.ALS.html#set_interrupt_persistence/2","title":"APDS9960.ALS.set_interrupt_persistence/2","type":"function"},{"doc":"","ref":"APDS9960.ALS.html#set_threshold/2","title":"APDS9960.ALS.set_threshold/2","type":"function"},{"doc":"","ref":"APDS9960.ALS.html#set_wait_time/2","title":"APDS9960.ALS.set_wait_time/2","type":"function"},{"doc":"Returns all the current Color / ALS settings.","ref":"APDS9960.ALS.html#settings/1","title":"APDS9960.ALS.settings/1","type":"function"},{"doc":"","ref":"APDS9960.ALS.html#status/1","title":"APDS9960.ALS.status/1","type":"function"},{"doc":"","ref":"APDS9960.ALS.html#wait_enabled?/1","title":"APDS9960.ALS.wait_enabled?/1","type":"function"},{"doc":"","ref":"APDS9960.ALS.html#wait_long_enabled?/1","title":"APDS9960.ALS.wait_long_enabled?/1","type":"function"},{"doc":"The gesture detection.","ref":"APDS9960.Gesture.html","title":"APDS9960.Gesture","type":"module"},{"doc":"","ref":"APDS9960.Gesture.html#enable/2","title":"APDS9960.Gesture.enable/2","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#enable_interrupt/2","title":"APDS9960.Gesture.enable_interrupt/2","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#enabled?/1","title":"APDS9960.Gesture.enabled?/1","type":"function"},{"doc":"The number of datasets that are currently available in the FIFO for read.","ref":"APDS9960.Gesture.html#fifo_level/1","title":"APDS9960.Gesture.fifo_level/1","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#fifo_overflow?/1","title":"APDS9960.Gesture.fifo_overflow?/1","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#gesture_fifo/2","title":"APDS9960.Gesture.gesture_fifo/2","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#get_dimension/1","title":"APDS9960.Gesture.get_dimension/1","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#get_exit_persistence/1","title":"APDS9960.Gesture.get_exit_persistence/1","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#get_fifo_threshold/1","title":"APDS9960.Gesture.get_fifo_threshold/1","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#get_gain/1","title":"APDS9960.Gesture.get_gain/1","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#get_gesture_exit_mask/1","title":"APDS9960.Gesture.get_gesture_exit_mask/1","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#get_led_boost/1","title":"APDS9960.Gesture.get_led_boost/1","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#get_led_drive_strength/1","title":"APDS9960.Gesture.get_led_drive_strength/1","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#get_mode/1","title":"APDS9960.Gesture.get_mode/1","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#get_offset/1","title":"APDS9960.Gesture.get_offset/1","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#get_pulse/1","title":"APDS9960.Gesture.get_pulse/1","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#get_threshold/1","title":"APDS9960.Gesture.get_threshold/1","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#get_wait_time/1","title":"APDS9960.Gesture.get_wait_time/1","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#interrupt_enabled?/1","title":"APDS9960.Gesture.interrupt_enabled?/1","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#read_gesture/2","title":"APDS9960.Gesture.read_gesture/2","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#saturation?/1","title":"APDS9960.Gesture.saturation?/1","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#set_dimension/2","title":"APDS9960.Gesture.set_dimension/2","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#set_exit_persistence/2","title":"APDS9960.Gesture.set_exit_persistence/2","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#set_fifo_threshold/2","title":"APDS9960.Gesture.set_fifo_threshold/2","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#set_gain/2","title":"APDS9960.Gesture.set_gain/2","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#set_gesture_exit_mask/2","title":"APDS9960.Gesture.set_gesture_exit_mask/2","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#set_led_boost/2","title":"APDS9960.Gesture.set_led_boost/2","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#set_led_drive_strength/2","title":"APDS9960.Gesture.set_led_drive_strength/2","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#set_mode/2","title":"APDS9960.Gesture.set_mode/2","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#set_offset/2","title":"APDS9960.Gesture.set_offset/2","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#set_pulse/2","title":"APDS9960.Gesture.set_pulse/2","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#set_threshold/2","title":"APDS9960.Gesture.set_threshold/2","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#set_wait_time/2","title":"APDS9960.Gesture.set_wait_time/2","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#settings/1","title":"APDS9960.Gesture.settings/1","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#status/1","title":"APDS9960.Gesture.status/1","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#valid?/1","title":"APDS9960.Gesture.valid?/1","type":"function"},{"doc":"","ref":"APDS9960.Gesture.html#t:gesture_direction/0","title":"APDS9960.Gesture.gesture_direction/0","type":"type"},{"doc":"The gesture data accumulator in the gesture processing loop.","ref":"APDS9960.Gesture.html#t:t/0","title":"APDS9960.Gesture.t/0","type":"type"},{"doc":"The proximity detection.","ref":"APDS9960.Proximity.html","title":"APDS9960.Proximity","type":"module"},{"doc":"","ref":"APDS9960.Proximity.html#clear_interrupt/1","title":"APDS9960.Proximity.clear_interrupt/1","type":"function"},{"doc":"","ref":"APDS9960.Proximity.html#enable/2","title":"APDS9960.Proximity.enable/2","type":"function"},{"doc":"","ref":"APDS9960.Proximity.html#enable_interrupt/2","title":"APDS9960.Proximity.enable_interrupt/2","type":"function"},{"doc":"","ref":"APDS9960.Proximity.html#enable_saturation_interrupt/2","title":"APDS9960.Proximity.enable_saturation_interrupt/2","type":"function"},{"doc":"","ref":"APDS9960.Proximity.html#enabled?/1","title":"APDS9960.Proximity.enabled?/1","type":"function"},{"doc":"","ref":"APDS9960.Proximity.html#get_gain/1","title":"APDS9960.Proximity.get_gain/1","type":"function"},{"doc":"","ref":"APDS9960.Proximity.html#get_gain_compensation/1","title":"APDS9960.Proximity.get_gain_compensation/1","type":"function"},{"doc":"","ref":"APDS9960.Proximity.html#get_interrupt_persistence/1","title":"APDS9960.Proximity.get_interrupt_persistence/1","type":"function"},{"doc":"","ref":"APDS9960.Proximity.html#get_led_boost/1","title":"APDS9960.Proximity.get_led_boost/1","type":"function"},{"doc":"","ref":"APDS9960.Proximity.html#get_led_drive/1","title":"APDS9960.Proximity.get_led_drive/1","type":"function"},{"doc":"","ref":"APDS9960.Proximity.html#get_offset/1","title":"APDS9960.Proximity.get_offset/1","type":"function"},{"doc":"","ref":"APDS9960.Proximity.html#get_pulse/1","title":"APDS9960.Proximity.get_pulse/1","type":"function"},{"doc":"","ref":"APDS9960.Proximity.html#get_threshold/1","title":"APDS9960.Proximity.get_threshold/1","type":"function"},{"doc":"","ref":"APDS9960.Proximity.html#interrupt_enabled?/1","title":"APDS9960.Proximity.interrupt_enabled?/1","type":"function"},{"doc":"","ref":"APDS9960.Proximity.html#read_proximity/2","title":"APDS9960.Proximity.read_proximity/2","type":"function"},{"doc":"","ref":"APDS9960.Proximity.html#saturation_interrupt_enabled?/1","title":"APDS9960.Proximity.saturation_interrupt_enabled?/1","type":"function"},{"doc":"","ref":"APDS9960.Proximity.html#set_gain/2","title":"APDS9960.Proximity.set_gain/2","type":"function"},{"doc":"","ref":"APDS9960.Proximity.html#set_gain_compensation/2","title":"APDS9960.Proximity.set_gain_compensation/2","type":"function"},{"doc":"","ref":"APDS9960.Proximity.html#set_interrupt_persistence/2","title":"APDS9960.Proximity.set_interrupt_persistence/2","type":"function"},{"doc":"","ref":"APDS9960.Proximity.html#set_led_boost/2","title":"APDS9960.Proximity.set_led_boost/2","type":"function"},{"doc":"","ref":"APDS9960.Proximity.html#set_led_drive/2","title":"APDS9960.Proximity.set_led_drive/2","type":"function"},{"doc":"","ref":"APDS9960.Proximity.html#set_offset/2","title":"APDS9960.Proximity.set_offset/2","type":"function"},{"doc":"","ref":"APDS9960.Proximity.html#set_pulse/2","title":"APDS9960.Proximity.set_pulse/2","type":"function"},{"doc":"","ref":"APDS9960.Proximity.html#set_threshold/2","title":"APDS9960.Proximity.set_threshold/2","type":"function"},{"doc":"Returns all the current proximity settings.","ref":"APDS9960.Proximity.html#settings/1","title":"APDS9960.Proximity.settings/1","type":"function"},{"doc":"","ref":"APDS9960.Proximity.html#status/1","title":"APDS9960.Proximity.status/1","type":"function"},{"doc":"The APDS9960 sensor.","ref":"APDS9960.Sensor.html","title":"APDS9960.Sensor","type":"module"},{"doc":"Enable an engine for a desired feature.","ref":"APDS9960.Sensor.html#enable/2","title":"APDS9960.Sensor.enable/2","type":"function"},{"doc":"Initializes the I2C bus and sensor.","ref":"APDS9960.Sensor.html#init/1","title":"APDS9960.Sensor.init/1","type":"function"},{"doc":"","ref":"APDS9960.Sensor.html#reset!/1","title":"APDS9960.Sensor.reset!/1","type":"function"},{"doc":"","ref":"APDS9960.Sensor.html#set_defaults!/1","title":"APDS9960.Sensor.set_defaults!/1","type":"function"},{"doc":"","ref":"APDS9960.Sensor.html#t:engine/0","title":"APDS9960.Sensor.engine/0","type":"type"},{"doc":"","ref":"APDS9960.Sensor.html#t:gesture_direction/0","title":"APDS9960.Sensor.gesture_direction/0","type":"type"},{"doc":"The APDS9960 sensor option","ref":"APDS9960.Sensor.html#t:option/0","title":"APDS9960.Sensor.option/0","type":"type"},{"doc":"","ref":"APDS9960.Sensor.html#t:t/0","title":"APDS9960.Sensor.t/0","type":"type"},{"doc":"Use APDS9960 color, proximity and gesture sensor in Elixir. Basically we want to do something similar to what Adafruits APDS9960 guide does.","ref":"readme.html","title":"APDS9960","type":"extras"},{"doc":"Add apds9960 to your list of dependencies in mix.exs: def deps do [ { :apds9960 , &quot;~&gt; 0.1&quot; } ] end","ref":"readme.html#installation","title":"APDS9960 - Installation","type":"extras"},{"doc":"Proximity detection The proximity value ranges from 0 to 255, where the higher the number the closer an object is to the sensor. Initialize the sensor sensor = APDS9960 . init ( ) Enable the proximity engine APDS9960 . enable ( sensor , :proximity ) Measure proximity APDS9960 . proximity ( sensor ) RGB Color Sensing The results are 16-bit values from 0 to 65535, where 0 means the minimum amount of color and 65535 is the maximum amount of color. Initialize the sensor sensor = APDS9960 . init ( ) Enable the color engine APDS9960 . enable ( sensor , :color ) Retrieve the red, green, blue and clear color values APDS9960 . color ( sensor ) # %{blue: 52, clear: 235, green: 73, red: 128} Gesture detection Initialize the sensor sensor = APDS9960 . init ( ) Enable the proximity and gesture engines APDS9960 . enable ( sensor , :proximity ) APDS9960 . enable ( sensor , :gesture ) Detect gesture direction APDS9960 . gesture ( sensor , timeout : 5000 ) For more information, see API reference .","ref":"readme.html#usage","title":"APDS9960 - Usage","type":"extras"},{"doc":"All notable changes to this project will be documented in this file. The format is based on Keep a Changelog , and this project adheres to Semantic Versioning .","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"","ref":"changelog.html#unreleased","title":"Changelog - Unreleased","type":"extras"},{"doc":"Add setters and getters for settings Remove top-level status/1","ref":"changelog.html#0-4-0-2022-02-09","title":"Changelog - 0.4.0 - 2022-02-09","type":"extras"},{"doc":"Refactor top level module","ref":"changelog.html#0-3-1-2022-02-07","title":"Changelog - 0.3.1 - 2022-02-07","type":"extras"},{"doc":"Implement gesture detection","ref":"changelog.html#0-3-0-2022-02-06","title":"Changelog - 0.3.0 - 2022-02-06","type":"extras"},{"doc":"Implement RGB color sensing","ref":"changelog.html#0-2-0-2022-02-04","title":"Changelog - 0.2.0 - 2022-02-04","type":"extras"},{"doc":"Initial release Implement proximity detection","ref":"changelog.html#0-1-0-2022-02-03","title":"Changelog - 0.1.0 - 2022-02-03","type":"extras"}]